
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "danger/detekt/version"

Gem::Specification.new do |spec|
  spec.name          = "danger-detekt"
  spec.version       = Danger::Detekt::VERSION
  spec.authors       = ["Vaios Tsitsonis"]
  spec.email         = ["vaios.tsitsonis@theblueground.com"]

  spec.summary       = %q{detekt plugin for danger}
  spec.description   = %q{This plugin is used in order to integrate detekt in danger}
  spec.homepage      = "https://github.com/St4B/danger-detekt.git"
  spec.license       = "MIT"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency 'danger-plugin-api', '~> 1.0'

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
end
